complexType "ManualExercise"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | exerciseNotice?, fallbackExercise?
</...>

Content Model Elements (2):

  exerciseNotice (in manualExercise defined in ExerciseProcedure complexType),
  fallbackExercise

All Direct / Indirect Based Elements (1):

  manualExercise (defined in ExerciseProcedure complexType)

Known Usage Locations

- As direct type of elements (1):
  manualExercise (defined in ExerciseProcedure complexType)

Annotation
A type defining manual exercise, i.e. that the option buyer counterparty must give notice to the option seller of exercise.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ManualExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/> <xsd:element minOccurs="0" name="fallbackExercise" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
exerciseNotice

  Type: | ExerciseNotice, complex content

  Definition of the party to whom notice of exercise should be given.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/>

fallbackExercise

  Type: | xsd:boolean, predefined, simple content

  If fallback exercise is specified then the notional amount of the underlying swap, not previously exercised under the swaption, will be automatically exercised at the expiration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than one tenth of a percentage point (0.10% or 0.001). The term in-the-money is assumed to have the meaning defined in the 2000 ISDA Definitions, Section 17.4. In-the-money.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fallbackExercise" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.